# Bare metal

## GET /api/v1/servers/metal/GetHost

> Get detailed information about a specific metal host

```json
{"openapi":"3.0.4","info":{"title":"DenvrCloud API","version":"v1"},"tags":[{"name":"servers/metal"}],"paths":{"/api/v1/servers/metal/GetHost":{"get":{"tags":["servers/metal"],"summary":"Get detailed information about a specific metal host","operationId":"ApiV1ServersMetalGethostGet","parameters":[{"name":"Id","in":"query","description":"Unique identifier for a resource within the cluster","required":true,"schema":{"type":"string"}},{"name":"Cluster","in":"query","description":"The cluster you're operating on","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/BareMetalHostDetailsItem"}},"application/json":{"schema":{"$ref":"#/components/schemas/BareMetalHostDetailsItem"}},"text/json":{"schema":{"$ref":"#/components/schemas/BareMetalHostDetailsItem"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"BareMetalHostDetailsItem":{"type":"object","properties":{"id":{"type":"string","description":"The bare metal id, unique identifier","nullable":true},"cluster":{"type":"string","description":"The cluster where the bare metal host is allocated","nullable":true},"tenancyName":{"type":"string","description":"Name of the tenant where the node has been allocated","nullable":true},"nodeType":{"type":"string","description":"The specific host node type","nullable":true},"image":{"type":"string","description":"The image used to provision the host","nullable":true},"privateIp":{"type":"string","description":"private IP address of the host","nullable":true},"publicIp":{"type":"string","description":"public IP address of the host","nullable":true},"provisionedHostname":{"type":"string","description":"host name provisioned by the system","nullable":true},"operationalStatus":{"type":"string","description":"operational status of the host","nullable":true},"poweredOn":{"type":"boolean","description":"true if the host is powered on"},"provisioningState":{"type":"string","description":"provisioning status of the host","nullable":true}},"additionalProperties":false}}}}
```

## GET /api/v1/servers/metal/GetHosts

> Get a list of bare metal hosts in a cluster

```json
{"openapi":"3.0.4","info":{"title":"DenvrCloud API","version":"v1"},"tags":[{"name":"servers/metal"}],"paths":{"/api/v1/servers/metal/GetHosts":{"get":{"tags":["servers/metal"],"summary":"Get a list of bare metal hosts in a cluster","operationId":"ApiV1ServersMetalGethostsGet","parameters":[{"name":"Cluster","in":"query","description":"","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ListResultDtoOfBareMetalHostDetailsItem"}},"application/json":{"schema":{"$ref":"#/components/schemas/ListResultDtoOfBareMetalHostDetailsItem"}},"text/json":{"schema":{"$ref":"#/components/schemas/ListResultDtoOfBareMetalHostDetailsItem"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"ListResultDtoOfBareMetalHostDetailsItem":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/BareMetalHostDetailsItem"},"nullable":true}},"additionalProperties":false},"BareMetalHostDetailsItem":{"type":"object","properties":{"id":{"type":"string","description":"The bare metal id, unique identifier","nullable":true},"cluster":{"type":"string","description":"The cluster where the bare metal host is allocated","nullable":true},"tenancyName":{"type":"string","description":"Name of the tenant where the node has been allocated","nullable":true},"nodeType":{"type":"string","description":"The specific host node type","nullable":true},"image":{"type":"string","description":"The image used to provision the host","nullable":true},"privateIp":{"type":"string","description":"private IP address of the host","nullable":true},"publicIp":{"type":"string","description":"public IP address of the host","nullable":true},"provisionedHostname":{"type":"string","description":"host name provisioned by the system","nullable":true},"operationalStatus":{"type":"string","description":"operational status of the host","nullable":true},"poweredOn":{"type":"boolean","description":"true if the host is powered on"},"provisioningState":{"type":"string","description":"provisioning status of the host","nullable":true}},"additionalProperties":false}}}}
```

## POST /api/v1/servers/metal/RebootHost

> Reboot the bare metal host

```json
{"openapi":"3.0.4","info":{"title":"DenvrCloud API","version":"v1"},"tags":[{"name":"servers/metal"}],"paths":{"/api/v1/servers/metal/RebootHost":{"post":{"tags":["servers/metal"],"summary":"Reboot the bare metal host","operationId":"ApiV1ServersMetalReboothostPost","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BareMetalCommandInput"}},"text/json":{"schema":{"$ref":"#/components/schemas/BareMetalCommandInput"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/BareMetalCommandInput"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/BareMetalHostDetailsItem"}},"application/json":{"schema":{"$ref":"#/components/schemas/BareMetalHostDetailsItem"}},"text/json":{"schema":{"$ref":"#/components/schemas/BareMetalHostDetailsItem"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"422":{"description":"Unprocessable Content"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"BareMetalCommandInput":{"required":["cluster","id"],"type":"object","properties":{"id":{"minLength":1,"type":"string","description":"Unique identifier for a resource within the cluster"},"cluster":{"minLength":1,"type":"string","description":"The cluster you're operating on"}},"additionalProperties":false},"BareMetalHostDetailsItem":{"type":"object","properties":{"id":{"type":"string","description":"The bare metal id, unique identifier","nullable":true},"cluster":{"type":"string","description":"The cluster where the bare metal host is allocated","nullable":true},"tenancyName":{"type":"string","description":"Name of the tenant where the node has been allocated","nullable":true},"nodeType":{"type":"string","description":"The specific host node type","nullable":true},"image":{"type":"string","description":"The image used to provision the host","nullable":true},"privateIp":{"type":"string","description":"private IP address of the host","nullable":true},"publicIp":{"type":"string","description":"public IP address of the host","nullable":true},"provisionedHostname":{"type":"string","description":"host name provisioned by the system","nullable":true},"operationalStatus":{"type":"string","description":"operational status of the host","nullable":true},"poweredOn":{"type":"boolean","description":"true if the host is powered on"},"provisioningState":{"type":"string","description":"provisioning status of the host","nullable":true}},"additionalProperties":false}}}}
```

## POST /api/v1/servers/metal/ReprovisionHost

> Reprovision the bare metal host

```json
{"openapi":"3.0.4","info":{"title":"DenvrCloud API","version":"v1"},"tags":[{"name":"servers/metal"}],"paths":{"/api/v1/servers/metal/ReprovisionHost":{"post":{"tags":["servers/metal"],"summary":"Reprovision the bare metal host","operationId":"ApiV1ServersMetalReprovisionhostPost","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BareMetalReprovisionHostInput"}},"text/json":{"schema":{"$ref":"#/components/schemas/BareMetalReprovisionHostInput"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/BareMetalReprovisionHostInput"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/BareMetalHostDetailsItem"}},"application/json":{"schema":{"$ref":"#/components/schemas/BareMetalHostDetailsItem"}},"text/json":{"schema":{"$ref":"#/components/schemas/BareMetalHostDetailsItem"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"422":{"description":"Unprocessable Content"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"BareMetalReprovisionHostInput":{"required":["cluster","id"],"type":"object","properties":{"id":{"minLength":1,"type":"string","description":"Unique identifier for a resource within the cluster"},"cluster":{"minLength":1,"type":"string","description":"The cluster you're operating on"},"imageUrl":{"type":"string","description":"The URL to the image to use for the host","nullable":true},"imageChecksum":{"type":"string","description":"The checksum url of the image to use for the host","nullable":true},"cloudInitBase64":{"type":"string","description":"Base64 encoded cloud-init data yaml file to use for the host","nullable":true}},"additionalProperties":false},"BareMetalHostDetailsItem":{"type":"object","properties":{"id":{"type":"string","description":"The bare metal id, unique identifier","nullable":true},"cluster":{"type":"string","description":"The cluster where the bare metal host is allocated","nullable":true},"tenancyName":{"type":"string","description":"Name of the tenant where the node has been allocated","nullable":true},"nodeType":{"type":"string","description":"The specific host node type","nullable":true},"image":{"type":"string","description":"The image used to provision the host","nullable":true},"privateIp":{"type":"string","description":"private IP address of the host","nullable":true},"publicIp":{"type":"string","description":"public IP address of the host","nullable":true},"provisionedHostname":{"type":"string","description":"host name provisioned by the system","nullable":true},"operationalStatus":{"type":"string","description":"operational status of the host","nullable":true},"poweredOn":{"type":"boolean","description":"true if the host is powered on"},"provisioningState":{"type":"string","description":"provisioning status of the host","nullable":true}},"additionalProperties":false}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.denvrdata.com/docs/api-reference/bare-metal.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
